Subject: Re: [bug, netconsole, SLUB] BUG skbuff_head_cache: Poison overwritten

From: Christoph Lameter <[email-masked]>
Date: Mon, 21 Jul 2008 11:19:48 -0500

Vegard Nossum wrote:
> On Mon, Jul 21, 2008 at 12:50 PM, Ingo Molnar <[email-masked]> wrote:
>   
>> the problem is, most of the crashes dont come with any usable dump. This
>> is a laptop so netconsole is the only reliable route out - and if
>> something in networking crashes chances are that it hoses netconsole
>> before it can get anything out.
>>
>> Another thing is that i'm activating netconsole on this box via a kernel
>> boot line and from within a bzImage (to get it activated as early as
>> possible) - maybe that's a tad too early for certain initialization
>> sequences?
>>
>> I could try run tests with netconsole deactivated, if you think that's a
>> worthwile line of probing this problem. (although that would make me do
>> blind tests in essence - having kernel log output is really essential.)
>>     
>
> How about posting your custom patches for public review? :-D
>
> (There was recently an odd case of kzalloc() succeeding even though it
> was called before the slab caches were initialized -- and it only
> generated a warning about irqs-on happening too early. I just mean to
> say that it _can_ happen. On another machine, it crashed
> spectacularly. I guess you're not enabling the netconsole before slab
> allocator is up?)
>
>
> Vegard
>
>   
Kzalloc for objects > 4k will succeed even during early boot since we 
will directly call into the page allocator.